"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.resetMetaTags = exports.generateStaticHtml = void 0;
const state_1 = require("./state");
const static_1 = require("./render/static");
// Function to generate metas static HTML
const generateStaticHtml = () => {
    const metas = state_1.metaTagsStore.getState();
    return (0, static_1.generateMetasMarkup)(metas);
};
exports.generateStaticHtml = generateStaticHtml;
const resetMetaTags = () => {
    state_1.metaTagsStore.clear();
};
exports.resetMetaTags = resetMetaTags;
