import { MetaTagsModel } from '../types';
export type MetaTagsInstanceId = string | number | symbol;
export type MetaTagsInstance = {
    instanceTs: number;
    metaTagsModel?: MetaTagsModel;
};
export type StoreListener = (metas: MetaTagsModel) => void;
declare class MetaTagsStore {
    private store;
    private mergedMetatags;
    private subscribers;
    registerInstance(instanceId: MetaTagsInstanceId, instanceTs: number): () => void;
    setInstanceMetaTags(instanceId: MetaTagsInstanceId, metaTags: MetaTagsModel): void;
    clear(): void;
    getState(): MetaTagsModel;
    subscribe(listener: StoreListener): () => void;
    private saveAndEmit;
    private mergeStoreInstances;
}
export declare const metaTagsStore: MetaTagsStore;
export {};
