"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getTagsList = exports.getRemovedTags = void 0;
// Compares two meta models and return the removed tags
const getRemovedTags = (metas, prevMetas) => Object.keys(prevMetas.tags || {})
    .filter((tagId) => !metas.tags[tagId])
    .map((tagId) => prevMetas.tags[tagId]);
exports.getRemovedTags = getRemovedTags;
// Returns the plain array of tags from the meta model
const getTagsList = (metas) => Object.keys(metas.tags || {}).map((tagId) => metas.tags[tagId]);
exports.getTagsList = getTagsList;
